{% extends "base_blog.html" %}
{% load static %}
{% load wagtailcore_tags wagtailimages_tags %}

{% block body_class %}template-blogpage{% endblock %}

{% block content %}
<link rel="stylesheet" href="{% static 'css/blog_style.css' %}">
<div class="w-full my-8">
  {% image page.image original class="w-full h-auto max-h-[500px] object-fill" %}
</div>
<div class="flex flex-col items-center gap-8 p-6 md:p-10 lg:p-16 bg-white rounded-lg max-w-screen-xl mx-auto">
  <div class="w-full flex items-center justify-start gap-8">
    <button
      class="inline-flex h-[29.62px] px-[11px] py-[5px] justify-center items-center gap-[10px] flex-shrink-0 bg-darkOrange text-dark font-bold rounded-full">
      {{ page.tags.first }}
    </button>
    <span class="text-gray">{{ date }}</span>
  </div>
  <div class="w-full flex items-start">
    <h5 class="font-poppins text-darkGray text-3xl font-semibold leading-[140%]">{{ page.intro }}</h5>
  </div>
  <div class="w-full items-start h-auto text-base/7 space-y-8 text-wrap break-words">
    {{page.body|richtext }}
  </div>
  <div class="w-full flex items-start text-gray my-16 gap-8">
    <span class="text-base/7">COMPARTILHAR</span>
    <div class="flex items-center justify-center gap-4">
      <!-- linkedin -->
      <a href="https://www.linkedin.com/shareArticle?mini=true&url={{ request.get_full_path }}" target="_blank"
        rel="noopener noreferrer">
        <!-- LinkedIn SVG -->
        <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32" fill="none">
          <path
            d="M29.6378 0H2.36222C1.73572 0 1.13488 0.248877 0.691879 0.691879C0.248877 1.13488 0 1.73572 0 2.36222V29.6378C0 30.2643 0.248877 30.8651 0.691879 31.3081C1.13488 31.7511 1.73572 32 2.36222 32H29.6378C30.2643 32 30.8651 31.7511 31.3081 31.3081C31.7511 30.8651 32 30.2643 32 29.6378V2.36222C32 1.73572 31.7511 1.13488 31.3081 0.691879C30.8651 0.248877 30.2643 0 29.6378 0ZM9.53778 27.26H4.72667V11.9778H9.53778V27.26ZM7.12889 9.86C6.58315 9.85693 6.05055 9.69226 5.59831 9.38678C5.14607 9.08131 4.79445 8.64871 4.58784 8.14359C4.38122 7.63846 4.32886 7.08346 4.43738 6.54861C4.54589 6.01376 4.8104 5.52304 5.19754 5.13838C5.58468 4.75372 6.07709 4.49236 6.61262 4.38728C7.14816 4.28221 7.70282 4.33812 8.2066 4.54798C8.71039 4.75784 9.14072 5.11222 9.44329 5.56642C9.74585 6.02061 9.9071 6.55426 9.90667 7.1C9.91182 7.46538 9.84335 7.82805 9.70535 8.16641C9.56735 8.50476 9.36264 8.81187 9.10343 9.06942C8.84421 9.32698 8.5358 9.52971 8.19657 9.66553C7.85733 9.80136 7.49423 9.86749 7.12889 9.86ZM27.2711 27.2733H22.4622V18.9244C22.4622 16.4622 21.4156 15.7022 20.0644 15.7022C18.6378 15.7022 17.2378 16.7778 17.2378 18.9867V27.2733H12.4267V11.9889H17.0533V14.1067H17.1156C17.58 13.1667 19.2067 11.56 21.6889 11.56C24.3733 11.56 27.2733 13.1533 27.2733 17.82L27.2711 27.2733Z"
            fill="#0A66C2" />
        </svg>
      </a>

      <!-- facebook -->
      <a href="https://www.facebook.com/sharer/sharer.php?u={{ request.get_full_path }}" target="_blank"
        rel="noopener noreferrer">
        <!-- Facebook SVG -->
        <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32" fill="none">
          <g clip-path="url(#clip0_555_1128)">
            <path
              d="M32 16C32 7.16344 24.8366 0 16 0C7.16344 0 0 7.16344 0 16C0 23.9859 5.85094 30.6053 13.5 31.8056V20.625H9.4375V16H13.5V12.475C13.5 8.465 15.8888 6.25 19.5434 6.25C21.2934 6.25 23.125 6.5625 23.125 6.5625V10.5H21.1075C19.12 10.5 18.5 11.7334 18.5 13V16H22.9375L22.2281 20.625H18.5V31.8056C26.1491 30.6053 32 23.9859 32 16Z"
              fill="#1877F2" />
            <path
              d="M22.2281 20.625L22.9375 16H18.5V13C18.5 11.7347 19.12 10.5 21.1075 10.5H23.125V6.5625C23.125 6.5625 21.2941 6.25 19.5434 6.25C15.8888 6.25 13.5 8.465 13.5 12.475V16H9.4375V20.625H13.5V31.8056C15.1566 32.0648 16.8434 32.0648 18.5 31.8056V20.625H22.2281Z"
              fill="white" />
          </g>
          <defs>
            <clipPath id="clip0_555_1128">
              <rect width="32" height="32" fill="white" />
            </clipPath>
          </defs>
        </svg>
      </a>
      <!-- twitter -->
      <a href="https://twitter.com/intent/tweet?url={{ request.get_full_path }}&text=YOUR_TEXT_HERE" target="_blank"
        rel="noopener noreferrer">
        <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32" fill="none">
          <path
            d="M10.0634 29.0009C22.1389 29.0009 28.7437 18.9965 28.7437 10.3206C28.7437 10.0365 28.7437 9.75357 28.7245 9.47197C30.0094 8.54258 31.1185 7.39182 32 6.07357C30.8019 6.60477 29.5307 6.95298 28.2291 7.10653C29.5998 6.28612 30.6255 4.99558 31.1155 3.47517C29.8268 4.23998 28.4168 4.77894 26.9466 5.06877C25.9567 4.01621 24.6475 3.31923 23.2216 3.08568C21.7957 2.85214 20.3326 3.09506 19.0586 3.77684C17.7847 4.45863 16.771 5.54127 16.1743 6.85724C15.5777 8.1732 15.4314 9.64912 15.7581 11.0566C13.1479 10.9257 10.5943 10.2473 8.26327 9.06558C5.9322 7.88384 3.87569 6.22512 2.2272 4.19709C1.38764 5.64242 1.1305 7.3534 1.50813 8.98165C1.88577 10.6099 2.86979 12.033 4.25984 12.9613C3.21498 12.9306 2.19286 12.6488 1.28 12.1395V12.2227C1.28041 13.7385 1.80513 15.2075 2.76516 16.3805C3.72519 17.5535 5.06141 18.3584 6.5472 18.6585C5.58064 18.9222 4.5665 18.9607 3.58272 18.7712C4.00242 20.0756 4.81924 21.2163 5.91899 22.0338C7.01873 22.8512 8.34644 23.3046 9.71648 23.3305C8.35525 24.4005 6.79642 25.1916 5.12917 25.6585C3.46191 26.1255 1.71895 26.2591 0 26.0518C3.00244 27.9785 6.4959 29.0005 10.0634 28.9958"
            fill="#1DA1F2" />
        </svg>
      </a>
      <!-- telegram -->
      <a href="https://t.me/share/url?url=https://your-platform.com&text=Check%20out%20this%20platform!" target="_blank"
        class="telegram-share-button">
        <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32" fill="none">
          <g clip-path="url(#clip0_555_1133)">
            <path
              d="M16 32C24.8366 32 32 24.8366 32 16C32 7.16344 24.8366 0 16 0C7.16344 0 0 7.16344 0 16C0 24.8366 7.16344 32 16 32Z"
              fill="url(#paint0_linear_555_1133)" />
            <path fill-rule="evenodd" clip-rule="evenodd"
              d="M7.24236 15.8311C11.9067 13.7989 15.017 12.4592 16.5732 11.8119C21.0166 9.96378 21.9399 9.64273 22.5417 9.63213C22.674 9.6298 22.97 9.6626 23.1617 9.81815C23.3235 9.9495 23.3681 10.1269 23.3894 10.2515C23.4107 10.376 23.4372 10.6597 23.4161 10.8813C23.1753 13.4113 22.1335 19.5509 21.6034 22.3845C21.3791 23.5835 20.9375 23.9855 20.51 24.0249C19.5808 24.1104 18.8752 23.4108 17.9753 22.8209C16.5671 21.8978 15.7716 21.3232 14.4047 20.4224C12.825 19.3814 13.849 18.8093 14.7493 17.8742C14.9849 17.6295 19.0787 13.9058 19.158 13.568C19.1679 13.5258 19.1771 13.3683 19.0835 13.2851C18.99 13.202 18.8519 13.2304 18.7523 13.253C18.611 13.2851 16.3614 14.772 12.0034 17.7138C11.3648 18.1523 10.7864 18.3659 10.2682 18.3547C9.69694 18.3424 8.59802 18.0317 7.78109 17.7662C6.77909 17.4405 5.98272 17.2682 6.05206 16.7151C6.08818 16.427 6.48495 16.1323 7.24236 15.8311Z"
              fill="white" />
          </g>
          <defs>
            <linearGradient id="paint0_linear_555_1133" x1="16" y1="0" x2="16" y2="31.7627"
              gradientUnits="userSpaceOnUse">
              <stop stop-color="#2AABEE" />
              <stop offset="1" stop-color="#229ED9" />
            </linearGradient>
            <clipPath id="clip0_555_1133">
              <rect width="32" height="32" fill="white" />
            </clipPath>
          </defs>
        </svg>
      </a>
    </div>
  </div>
  <div class="w-full z-50">
    <!-- Your content here -->
    <div class="w-full flex items-center justify-start py-10">
      <h5 class="text-xl font-semibold">Conteúdos relacionados</h5>
    </div>
      <div class="flex md:flex-row flex-col gap-6">
        {% for post in related_posts %}
        <div class="card bg-white rounded-lg shadow-lg blog-section__card w-80 flex-shrink-0 z-0">
          {% if post.image %}
          {% image post.image fill-400x200 class="w-full h-48 object-cover" alt=post.title %}
          {% endif %}
          <div class="p-6">
            <div class="flex flex-wrap mb-4">
              {% for tag in post.tags.all %}
              <a href="{% pageurl related_posts.0.get_parent %}?tag={{ page.tags.first }}"
                class="inline-block bg-darkOrange text-black py-1 px-3 rounded-full m-1 text-sm">
                {{ tag }}
              </a>
              {% endfor %}
            </div>
            <h3 class="text-lg font-semibold mb-[28px]">{{ post.title }}</h3>
            <a href="{{ post.url }}" class="inline-block no-underline text-purpleAccent blog-section__read-more">
              Leia mais
              <img src="{% static 'icons/arrow.svg' %}" alt="Arrow" class="blog-section__read-more-icon">
            </a>
          </div>
        </div>
        {% endfor %}
      </div>
  </div>


</div>
{% include 'home/footer_section.html' %}
{% endblock %}